Modernizr.addTest('highresdisplay', function() {
	if (window.matchMedia) {
		var mq = window.matchMedia("only screen and (-moz-min-device-pixel-ratio: 1.3), only screen and (-o-min-device-pixel-ratio: 2.6/2), only screen and (-webkit-min-device-pixel-ratio: 1.3), only screen  and (min-device-pixel-ratio: 1.3), only screen and (min-resolution: 1.3dppx)");
		
		if(mq && mq.matches) {
			return true;
		}
	}
});

Modernizr.load({
	test: Modernizr.touch,
	yep  : [],
	nope: [template_path+"javascripts/plugins/skrollr.min.js"],
	complete: function () {

		if ( ! Modernizr.touch ) {

			skrollr.init({
				smoothScrollingDuration: 200,
				forceHeight: false
			});

		}

	}
});

Modernizr.load([
	{
		test: Modernizr.json,
		yep  : [],
		nope: [template_path+"javascripts/plugins/json2.min.js"]
	},
	{
		test: Modernizr.history,
		yep  : [],
		nope: [template_path+"javascripts/plugins/history.min.js"],
		load: [
			template_path+"javascripts/plugins/plugins.min.js"
		],
		complete: function () {

			var smallScreen = 768,
				mediumScreen = 980,
				largeScreen = 1280,
				xlargeScreen = 1440;


			$(window).bind("resize", function() {

				$.fn.footer();

				$(".blockEquals").blockEquals();

			});

			$.fn.footer();

			$(".blockEquals").blockEquals();

			// $.fn.formsInputWrapper();

			/* FancyBox Image Window ( isFancyWindowImage )
			 -------------------------------------------------------------------------------------*/
			$("a[rel=FancyGallery], .FancyImage").fancybox({
				'type'		: 'image',
				'titlePosition'	: 'over',
				'transitionIn'	: 'fade',
				'transitionOut'	: 'fade',
				'nextEffect'	: 'fade',
				'prevEffect'	: 'fade',
				'overlayColor'	: '#000',
				'overlayOpacity': 0.6,
				tpl: {
					'wrap'     : '<div class="fancybox-wrap isFancyWindowImage" tabIndex="-1"><div class="fancybox-skin"><div class="fancybox-outer"><div class="fancybox-inner"></div></div></div></div>',
					'closeBtn' : '<a title="Закрыть" class="fancybox-item fancybox-close" href="javascript:;"></a>',
					'next'     : '<a title="Вперед" class="fancybox-nav fancybox-next" href="javascript:;"><span></span></a>',
					'prev'     : '<a title="Назад" class="fancybox-nav fancybox-prev" href="javascript:;"><span></span></a>'
				}
			});


			/* FancyBox Window° ( isFancyWindow )
			 -------------------------------------------------------------------------------------*/
			$(".FancyWindow").click(function() {

				var selector = $(this).attr("href");

				if ( $(selector).length ) {

					$.fancybox({
						'href': selector,
						'type': 'inline',
						
						'margin': 0,
						'padding': 30,
						
						'openEffect'	: 'fade',
				  		'closeEffect'	: 'fade',
						
						'overlayColor'	: '#000',
						'overlayOpacity': 0.2,
						'tpl': {
							'wrap': '<div class="fancybox-wrap isFancyWindow" tabIndex="-1"><div class="fancybox-skin"><div class="fancybox-outer"><div class="fancybox-inner"></div></div></div></div>',
							'closeBtn': '<a title="Закрыть" class="fancybox-item fancybox-close" href="javascript:;"></a>',
						}
					});

				}

				return false;

			});


			/* Add span tag in links
			  -------------------------------------------------------------------------------------*/
			/*$('a').each(function() {

				if ( $(this).find("span").length == 0 ) {

					$(this).wrapInner('<span />');

				}

			});*/


			/* History Back Button
			  -------------------------------------------------------------------------------------*/
			if ( $(".ToBack").length > 0 ) {

				$('.ToBack').click(function() {

					parent.history.back();

					return false;

				});

			}


			/* To Top Button
			  -------------------------------------------------------------------------------------*/
			if ( $('.ToTop').length > 0 ) {

				$('.ToTop').click(function() {

					$('html, body').animate({scrollTop: 0}, 600, 'easeInOutQuart');

					return false;

				});

			}
			





$('p.inviewOne').one('inview', function (event, visible) {

	if (visible) {

		$(this).text('inview');

		TweenMax.to(
					$(this),
					2,
					{
						backgroundColor:"#ff0000",
						width:"50%",
						top:"100px",
						ease:Power2.easeInOut
					}
				);

	}
});

		}
	}
]);




