;(function ($, window, document, Response, undefined) {

	'use strict';

	var smallScreen = 768,
		mediumScreen = 980,
		largeScreen = 1280,
		xlargeScreen = 1440;


	/* Footer Height */
	$.fn.footer = function() {

		if ( Response.deviceW() <= smallScreen ) { return this; }

		var $html			= $("html"),
			$body			= $("body"),
			$container		= $("#container"),
			$footer			= $("#footer"),
			$footerpush		= $("#footer-push");

		if ( Response.viewportH() >= ( parseInt ( $container.outerHeight(true) + $footer.outerHeight(true) , 10) ) )
		{

			$html.css("height", "100%");
			$body.css("height", "100%");

		}
		else
		{

			$html.css("height", "auto");
			$body.css("height", "auto");

		}

		if ( Response.viewportW() > smallScreen )
		{

			var footerHeight = parseInt( $footer.children().outerHeight(true), 10 );

			$container.css('margin-bottom', -footerHeight);
			$footer.css('height', footerHeight);
			$footerpush.css('height', footerHeight);

		}
		else
		{

			$container.css('margin-bottom', "0px");
			$footer.css('height', "auto");
			$footerpush.css('height', "0px");

		}

		return this;

	};


	/* Forms Input Wrapper */
	$.fn.formsInputWrapper = function() {

		$("form :input").each(function() {

			var tag = $(this)[0].tagName.toLowerCase(),
				tags = ["input", "textarea"],
				type = $(this).attr("type"),
				types = ["text", "password", "date", "datetime", "datetime-local", "month", "week", "email", "number", "search", "tel", "time", "url"];

			if ( $.grep(tags, function(item) { return item === tag }).length )
			{

				if ( tag === "textarea" || ( tag === "input" && $.grep(types, function(item) { return item === type }).length ) )
				{

					if ( $(this).parent().hasClass('form-' + tag + '-text') === false )
					{

						$(this).wrap('<span class="form-' + tag + '-text" />');

					}

				}

			}

		});

		$("form :input, a.button").each(function() {

			var tag = $(this)[0].tagName.toLowerCase(),
				tags = ["a", "input"],
				type = $(this).attr("type"),
				types = ["button", "submit", "reset"];

			if ( $.grep(tags, function(item) { return item === tag }).length )
			{

				if ( tag === "a" || ( tag === "input" && $.grep(types, function(item) { return item === type }).length ) )
				{

					if ( $(this).parent().hasClass("form-button") === false )
					{
						$(this).wrap('<span class="form-button" />');

					}

				}

			}

		});

		return this;

	};


	/* Block Equals */
	$.fn.blockEquals = function() {

		var blockHeight = 0,
			$t = $(this),
			$blocks = $( "> *", $t );

		$blocks.each(function() {

			$(this).css("height","auto");
			blockHeight = ( parseInt( $(this).height(), 10 ) > blockHeight ) ? parseInt( $(this).height(), 10 ) : blockHeight;

		});

		$blocks.css("height", blockHeight + "px");

		return this;

	};

}(Foundation.zj, this, this.document, this.Response));