/**
 * History.js Core
 * @author Benjamin Arthur Lupton <contact@balupton.com>
 * @copyright 2010-2011 Benjamin Arthur Lupton <contact@balupton.com>
 * @license New BSD License <http://creativecommons.org/licenses/BSD/>
 */(function(e,t){"use strict";var n=e.console||t,r=e.document,i=e.navigator,s=e.sessionStorage||!1,o=e.setTimeout,u=e.clearTimeout,a=e.setInterval,f=e.clearInterval,l=e.JSON,c=e.alert,h=e.History=e.History||{},p=e.history;l.stringify=l.stringify||l.encode;l.parse=l.parse||l.decode;if(typeof h.init!="undefined")throw new Error("History.js Core has already been loaded...");h.init=function(){if(typeof h.Adapter=="undefined")return!1;typeof h.initCore!="undefined"&&h.initCore();typeof h.initHtml4!="undefined"&&h.initHtml4();return!0};h.initCore=function(){if(typeof h.initCore.initialized!="undefined")return!1;h.initCore.initialized=!0;h.options=h.options||{};h.options.hashChangeInterval=h.options.hashChangeInterval||100;h.options.safariPollInterval=h.options.safariPollInterval||500;h.options.doubleCheckInterval=h.options.doubleCheckInterval||500;h.options.storeInterval=h.options.storeInterval||1e3;h.options.busyDelay=h.options.busyDelay||250;h.options.debug=h.options.debug||!1;h.options.initialTitle=h.options.initialTitle||r.title;h.intervalList=[];h.clearAllIntervals=function(){var e,t=h.intervalList;if(typeof t!="undefined"&&t!==null){for(e=0;e<t.length;e++)f(t[e]);h.intervalList=null}};h.debug=function(){(h.options.debug||!1)&&h.log.apply(h,arguments)};h.log=function(){var e=typeof n!="undefined"&&typeof n.log!="undefined"&&typeof n.log.apply!="undefined",t=r.getElementById("log"),i,s,o,u,a;if(e){u=Array.prototype.slice.call(arguments);i=u.shift();typeof n.debug!="undefined"?n.debug.apply(n,[i,u]):n.log.apply(n,[i,u])}else i="\n"+arguments[0]+"\n";for(s=1,o=arguments.length;s<o;++s){a=arguments[s];if(typeof a=="object"&&typeof l!="undefined")try{a=l.stringify(a)}catch(f){}i+="\n"+a+"\n"}if(t){t.value+=i+"\n-----\n";t.scrollTop=t.scrollHeight-t.clientHeight}else e||c(i);return!0};h.getInternetExplorerMajorVersion=function(){var e=h.getInternetExplorerMajorVersion.cached=typeof h.getInternetExplorerMajorVersion.cached!="undefined"?h.getInternetExplorerMajorVersion.cached:function(){var e=3,t=r.createElement("div"),n=t.getElementsByTagName("i");while((t.innerHTML="<!--[if gt IE "+ ++e+"]><i></i><![endif]-->")&&n[0]);return e>4?e:!1}();return e};h.isInternetExplorer=function(){var e=h.isInternetExplorer.cached=typeof h.isInternetExplorer.cached!="undefined"?h.isInternetExplorer.cached:Boolean(h.getInternetExplorerMajorVersion());return e};h.emulated={pushState:!Boolean(e.history&&e.history.pushState&&e.history.replaceState&&!/ Mobile\/([1-7][a-z]|(8([abcde]|f(1[0-8]))))/i.test(i.userAgent)&&!/AppleWebKit\/5([0-2]|3[0-2])/i.test(i.userAgent)),hashChange:Boolean(!("onhashchange"in e||"onhashchange"in r)||h.isInternetExplorer()&&h.getInternetExplorerMajorVersion()<8)};h.enabled=!h.emulated.pushState;h.bugs={setHash:Boolean(!h.emulated.pushState&&i.vendor==="Apple Computer, Inc."&&/AppleWebKit\/5([0-2]|3[0-3])/.test(i.userAgent)),safariPoll:Boolean(!h.emulated.pushState&&i.vendor==="Apple Computer, Inc."&&/AppleWebKit\/5([0-2]|3[0-3])/.test(i.userAgent)),ieDoubleCheck:Boolean(h.isInternetExplorer()&&h.getInternetExplorerMajorVersion()<8),hashEscape:Boolean(h.isInternetExplorer()&&h.getInternetExplorerMajorVersion()<7)};h.isEmptyObject=function(e){for(var t in e)return!1;return!0};h.cloneObject=function(e){var t,n;if(e){t=l.stringify(e);n=l.parse(t)}else n={};return n};h.getRootUrl=function(){var e=r.location.protocol+"//"+(r.location.hostname||r.location.host);if(r.location.port||!1)e+=":"+r.location.port;e+="/";return e};h.getBaseHref=function(){var e=r.getElementsByTagName("base"),t=null,n="";if(e.length===1){t=e[0];n=t.href.replace(/[^\/]+$/,"")}n=n.replace(/\/+$/,"");n&&(n+="/");return n};h.getBaseUrl=function(){var e=h.getBaseHref()||h.getBasePageUrl()||h.getRootUrl();return e};h.getPageUrl=function(){var e=h.getState(!1,!1),t=(e||{}).url||r.location.href,n;n=t.replace(/\/+$/,"").replace(/[^\/]+$/,function(e,t,n){return/\./.test(e)?e:e+"/"});return n};h.getBasePageUrl=function(){var e=r.location.href.replace(/[#\?].*/,"").replace(/[^\/]+$/,function(e,t,n){return/[^\/]$/.test(e)?"":e}).replace(/\/+$/,"")+"/";return e};h.getFullUrl=function(e,t){var n=e,r=e.substring(0,1);t=typeof t=="undefined"?!0:t;/[a-z]+\:\/\//.test(e)||(r==="/"?n=h.getRootUrl()+e.replace(/^\/+/,""):r==="#"?n=h.getPageUrl().replace(/#.*/,"")+e:r==="?"?n=h.getPageUrl().replace(/[\?#].*/,"")+e:t?n=h.getBaseUrl()+e.replace(/^(\.\/)+/,""):n=h.getBasePageUrl()+e.replace(/^(\.\/)+/,""));return n.replace(/\#$/,"")};h.getShortUrl=function(e){var t=e,n=h.getBaseUrl(),r=h.getRootUrl();h.emulated.pushState&&(t=t.replace(n,""));t=t.replace(r,"/");h.isTraditionalAnchor(t)&&(t="./"+t);t=t.replace(/^(\.\/)+/g,"./").replace(/\#$/,"");return t};h.store={};h.idToState=h.idToState||{};h.stateToId=h.stateToId||{};h.urlToId=h.urlToId||{};h.storedStates=h.storedStates||[];h.savedStates=h.savedStates||[];h.normalizeStore=function(){h.store.idToState=h.store.idToState||{};h.store.urlToId=h.store.urlToId||{};h.store.stateToId=h.store.stateToId||{}};h.getState=function(e,t){typeof e=="undefined"&&(e=!0);typeof t=="undefined"&&(t=!0);var n=h.getLastSavedState();!n&&t&&(n=h.createStateObject());if(e){n=h.cloneObject(n);n.url=n.cleanUrl||n.url}return n};h.getIdByState=function(e){var t=h.extractId(e.url),n;if(!t){n=h.getStateString(e);if(typeof h.stateToId[n]!="undefined")t=h.stateToId[n];else if(typeof h.store.stateToId[n]!="undefined")t=h.store.stateToId[n];else{for(;;){t=(new Date).getTime()+String(Math.random()).replace(/\D/g,"");if(typeof h.idToState[t]=="undefined"&&typeof h.store.idToState[t]=="undefined")break}h.stateToId[n]=t;h.idToState[t]=e}}return t};h.normalizeState=function(e){var t,n;if(!e||typeof e!="object")e={};if(typeof e.normalized!="undefined")return e;if(!e.data||typeof e.data!="object")e.data={};t={};t.normalized=!0;t.title=e.title||"";t.url=h.getFullUrl(h.unescapeString(e.url||r.location.href));t.hash=h.getShortUrl(t.url);t.data=h.cloneObject(e.data);t.id=h.getIdByState(t);t.cleanUrl=t.url.replace(/\??\&_suid.*/,"");t.url=t.cleanUrl;n=!h.isEmptyObject(t.data);if(t.title||n){t.hash=h.getShortUrl(t.url).replace(/\??\&_suid.*/,"");/\?/.test(t.hash)||(t.hash+="?");t.hash+="&_suid="+t.id}t.hashedUrl=h.getFullUrl(t.hash);(h.emulated.pushState||h.bugs.safariPoll)&&h.hasUrlDuplicate(t)&&(t.url=t.hashedUrl);return t};h.createStateObject=function(e,t,n){var r={data:e,title:t,url:n};r=h.normalizeState(r);return r};h.getStateById=function(e){e=String(e);var n=h.idToState[e]||h.store.idToState[e]||t;return n};h.getStateString=function(e){var t,n,r;t=h.normalizeState(e);n={data:t.data,title:e.title,url:e.url};r=l.stringify(n);return r};h.getStateId=function(e){var t,n;t=h.normalizeState(e);n=t.id;return n};h.getHashByState=function(e){var t,n;t=h.normalizeState(e);n=t.hash;return n};h.extractId=function(e){var t,n,r;n=/(.*)\&_suid=([0-9]+)$/.exec(e);r=n?n[1]||e:e;t=n?String(n[2]||""):"";return t||!1};h.isTraditionalAnchor=function(e){var t=!/[\/\?\.]/.test(e);return t};h.extractState=function(e,t){var n=null,r,i;t=t||!1;r=h.extractId(e);r&&(n=h.getStateById(r));if(!n){i=h.getFullUrl(e);r=h.getIdByUrl(i)||!1;r&&(n=h.getStateById(r));!n&&t&&!h.isTraditionalAnchor(e)&&(n=h.createStateObject(null,null,i))}return n};h.getIdByUrl=function(e){var n=h.urlToId[e]||h.store.urlToId[e]||t;return n};h.getLastSavedState=function(){return h.savedStates[h.savedStates.length-1]||t};h.getLastStoredState=function(){return h.storedStates[h.storedStates.length-1]||t};h.hasUrlDuplicate=function(e){var t=!1,n;n=h.extractState(e.url);t=n&&n.id!==e.id;return t};h.storeState=function(e){h.urlToId[e.url]=e.id;h.storedStates.push(h.cloneObject(e));return e};h.isLastSavedState=function(e){var t=!1,n,r,i;if(h.savedStates.length){n=e.id;r=h.getLastSavedState();i=r.id;t=n===i}return t};h.saveState=function(e){if(h.isLastSavedState(e))return!1;h.savedStates.push(h.cloneObject(e));return!0};h.getStateByIndex=function(e){var t=null;typeof e=="undefined"?t=h.savedStates[h.savedStates.length-1]:e<0?t=h.savedStates[h.savedStates.length+e]:t=h.savedStates[e];return t};h.getHash=function(){var e=h.unescapeHash(r.location.hash);return e};h.unescapeString=function(t){var n=t,r;for(;;){r=e.unescape(n);if(r===n)break;n=r}return n};h.unescapeHash=function(e){var t=h.normalizeHash(e);t=h.unescapeString(t);return t};h.normalizeHash=function(e){var t=e.replace(/[^#]*#/,"").replace(/#.*/,"");return t};h.setHash=function(e,t){var n,i,s;if(t!==!1&&h.busy()){h.pushQueue({scope:h,callback:h.setHash,args:arguments,queue:t});return!1}n=h.escapeHash(e);h.busy(!0);i=h.extractState(e,!0);if(i&&!h.emulated.pushState)h.pushState(i.data,i.title,i.url,!1);else if(r.location.hash!==n)if(h.bugs.setHash){s=h.getPageUrl();h.pushState(null,null,s+"#"+n,!1)}else r.location.hash=n;return h};h.escapeHash=function(t){var n=h.normalizeHash(t);n=e.escape(n);h.bugs.hashEscape||(n=n.replace(/\%21/g,"!").replace(/\%26/g,"&").replace(/\%3D/g,"=").replace(/\%3F/g,"?"));return n};h.getHashByUrl=function(e){var t=String(e).replace(/([^#]*)#?([^#]*)#?(.*)/,"$2");t=h.unescapeHash(t);return t};h.setTitle=function(e){var t=e.title,n;if(!t){n=h.getStateByIndex(0);n&&n.url===e.url&&(t=n.title||h.options.initialTitle)}try{r.getElementsByTagName("title")[0].innerHTML=t.replace("<","&lt;").replace(">","&gt;").replace(" & "," &amp; ")}catch(i){}r.title=t;return h};h.queues=[];h.busy=function(e){typeof e!="undefined"?h.busy.flag=e:typeof h.busy.flag=="undefined"&&(h.busy.flag=!1);if(!h.busy.flag){u(h.busy.timeout);var t=function(){var e,n,r;if(h.busy.flag)return;for(e=h.queues.length-1;e>=0;--e){n=h.queues[e];if(n.length===0)continue;r=n.shift();h.fireQueueItem(r);h.busy.timeout=o(t,h.options.busyDelay)}};h.busy.timeout=o(t,h.options.busyDelay)}return h.busy.flag};h.busy.flag=!1;h.fireQueueItem=function(e){return e.callback.apply(e.scope||h,e.args||[])};h.pushQueue=function(e){h.queues[e.queue||0]=h.queues[e.queue||0]||[];h.queues[e.queue||0].push(e);return h};h.queue=function(e,t){typeof e=="function"&&(e={callback:e});typeof t!="undefined"&&(e.queue=t);h.busy()?h.pushQueue(e):h.fireQueueItem(e);return h};h.clearQueue=function(){h.busy.flag=!1;h.queues=[];return h};h.stateChanged=!1;h.doubleChecker=!1;h.doubleCheckComplete=function(){h.stateChanged=!0;h.doubleCheckClear();return h};h.doubleCheckClear=function(){if(h.doubleChecker){u(h.doubleChecker);h.doubleChecker=!1}return h};h.doubleCheck=function(e){h.stateChanged=!1;h.doubleCheckClear();h.bugs.ieDoubleCheck&&(h.doubleChecker=o(function(){h.doubleCheckClear();h.stateChanged||e();return!0},h.options.doubleCheckInterval));return h};h.safariStatePoll=function(){var t=h.extractState(r.location.href),n;if(!h.isLastSavedState(t)){n=t;n||(n=h.createStateObject());h.Adapter.trigger(e,"popstate");return h}return};h.back=function(e){if(e!==!1&&h.busy()){h.pushQueue({scope:h,callback:h.back,args:arguments,queue:e});return!1}h.busy(!0);h.doubleCheck(function(){h.back(!1)});p.go(-1);return!0};h.forward=function(e){if(e!==!1&&h.busy()){h.pushQueue({scope:h,callback:h.forward,args:arguments,queue:e});return!1}h.busy(!0);h.doubleCheck(function(){h.forward(!1)});p.go(1);return!0};h.go=function(e,t){var n;if(e>0)for(n=1;n<=e;++n)h.forward(t);else{if(!(e<0))throw new Error("History.go: History.go requires a positive or negative integer passed.");for(n=-1;n>=e;--n)h.back(t)}return h};if(h.emulated.pushState){var d=function(){};h.pushState=h.pushState||d;h.replaceState=h.replaceState||d}else{h.onPopState=function(t,n){var i=!1,s=!1,o,u;h.doubleCheckComplete();o=h.getHash();if(o){u=h.extractState(o||r.location.href,!0);if(u)h.replaceState(u.data,u.title,u.url,!1);else{h.Adapter.trigger(e,"anchorchange");h.busy(!1)}h.expectedStateId=!1;return!1}i=h.Adapter.extractEventData("state",t,n)||!1;i?s=h.getStateById(i):h.expectedStateId?s=h.getStateById(h.expectedStateId):s=h.extractState(r.location.href);s||(s=h.createStateObject(null,null,r.location.href));h.expectedStateId=!1;if(h.isLastSavedState(s)){h.busy(!1);return!1}h.storeState(s);h.saveState(s);h.setTitle(s);h.Adapter.trigger(e,"statechange");h.busy(!1);return!0};h.Adapter.bind(e,"popstate",h.onPopState);h.pushState=function(t,n,r,i){if(h.getHashByUrl(r)&&h.emulated.pushState)throw new Error("History.js does not support states with fragement-identifiers (hashes/anchors).");if(i!==!1&&h.busy()){h.pushQueue({scope:h,callback:h.pushState,args:arguments,queue:i});return!1}h.busy(!0);var s=h.createStateObject(t,n,r);if(h.isLastSavedState(s))h.busy(!1);else{h.storeState(s);h.expectedStateId=s.id;p.pushState(s.id,s.title,s.url);h.Adapter.trigger(e,"popstate")}return!0};h.replaceState=function(t,n,r,i){if(h.getHashByUrl(r)&&h.emulated.pushState)throw new Error("History.js does not support states with fragement-identifiers (hashes/anchors).");if(i!==!1&&h.busy()){h.pushQueue({scope:h,callback:h.replaceState,args:arguments,queue:i});return!1}h.busy(!0);var s=h.createStateObject(t,n,r);if(h.isLastSavedState(s))h.busy(!1);else{h.storeState(s);h.expectedStateId=s.id;p.replaceState(s.id,s.title,s.url);h.Adapter.trigger(e,"popstate")}return!0}}if(s){try{h.store=l.parse(s.getItem("History.store"))||{}}catch(v){h.store={}}h.normalizeStore()}else{h.store={};h.normalizeStore()}h.Adapter.bind(e,"beforeunload",h.clearAllIntervals);h.Adapter.bind(e,"unload",h.clearAllIntervals);h.saveState(h.storeState(h.extractState(r.location.href,!0)));if(s){h.onUnload=function(){var e,t;try{e=l.parse(s.getItem("History.store"))||{}}catch(n){e={}}e.idToState=e.idToState||{};e.urlToId=e.urlToId||{};e.stateToId=e.stateToId||{};for(t in h.idToState){if(!h.idToState.hasOwnProperty(t))continue;e.idToState[t]=h.idToState[t]}for(t in h.urlToId){if(!h.urlToId.hasOwnProperty(t))continue;e.urlToId[t]=h.urlToId[t]}for(t in h.stateToId){if(!h.stateToId.hasOwnProperty(t))continue;e.stateToId[t]=h.stateToId[t]}h.store=e;h.normalizeStore();s.setItem("History.store",l.stringify(e))};h.intervalList.push(a(h.onUnload,h.options.storeInterval));h.Adapter.bind(e,"beforeunload",h.onUnload);h.Adapter.bind(e,"unload",h.onUnload)}if(!h.emulated.pushState){h.bugs.safariPoll&&h.intervalList.push(a(h.safariStatePoll,h.options.safariPollInterval));if(i.vendor==="Apple Computer, Inc."||(i.appCodeName||"")==="Mozilla"){h.Adapter.bind(e,"hashchange",function(){h.Adapter.trigger(e,"popstate")});h.getHash()&&h.Adapter.onDomLoad(function(){h.Adapter.trigger(e,"hashchange")})}}};h.init()})(window);